Changeset 129835


Ignore:
Timestamp:
Dec 21, 2014, 1:17:25 PM (5 years ago)
Author:
nicos@…
Message:

telepathy-qt: make older python variants obsolete

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/comms/telepathy-qt/Portfile

    r128282 r129835  
    77name                telepathy-qt
    88version             0.9.5
     9revision            1
    910categories          comms
    1011maintainers         nicos openmaintainer
     
    3435                    port:libxml2
    3536
    36 variant python25 conflicts python26 python27 description {Build using Python 2.5} {
    37         depends_build-append port:python25
    38         configure.python ${prefix}/bin/python2.5
    39         configure.args-append   -DPYTHON_EXECUTABLE:FILEPATH=${prefix}/bin/python2.5
    40 }
    4137
    42 variant python26 conflicts python25 python27 description {Build using Python 2.6} {
    43         depends_build-append port:python26
    44         configure.python ${prefix}/bin/python2.6
    45         configure.args-append   -DPYTHON_EXECUTABLE:FILEPATH=${prefix}/bin/python2.6
    46 }
     38#python25 and python26 variants made obsolete on 2014/12/21
     39variant python25 description "Legacy compatibility variant" requires python27 {}
     40variant python26 description "Legacy compatibility variant" requires python27 {}
    4741
    48 variant python27 conflicts python25 python26 description {Build using Python 2.7} {
     42variant python27 description {Build using Python 2.7} {
    4943        depends_build-append port:python27
    5044        configure.python ${prefix}/bin/python2.7
     
    5246}
    5347
    54 if {![variant_isset python25] && ![variant_isset python26] && ![variant_isset python27]} {
    55     default_variants +python27
    56 }
     48default_variants +python27
    5749
    5850livecheck.type  regex
Note: See TracChangeset for help on using the changeset viewer.